Module javafx.base
Package javafx.event

# Class ActionEvent

java.lang.Object
java.util.EventObject
javafx.event.Event
javafx.event.ActionEvent

All Implemented Interfaces:
  `Serializable`, `Cloneable`

Direct Known Subclasses:
  `MediaMarkerEvent`

public class ActionEvent extends Event
An `Event` representing some type of action. This event type is widely used to represent a variety of things, such as when a `Button` has been fired, when a `KeyFrame` has finished, and other such usages.

Since:
  JavaFX 2.0
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final EventType<ActionEvent>`
`ACTION`
The only valid EventType for the ActionEvent.
`static final EventType<ActionEvent>`
`ANY`
Common supertype for all action event types.

### Fields inherited from class javafx.event.Event

`consumed, eventType, NULL_SOURCE_TARGET, target`

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`ActionEvent()`
Creates a new `ActionEvent` with an event type of `ACTION`.
`ActionEvent(Object source, EventTarget target)`
Construct a new `ActionEvent` with the specified event source and target.

## Method Summary

Modifier and Type
Method
Description
`ActionEvent`
`copyFor(Object newSource, EventTarget newTarget)`
Creates and returns a copy of this event with the specified event source and target.
`EventType<? extends ActionEvent>`
`getEventType()`
Gets the event type of this event.

### Methods inherited from class javafx.event.Event

`clone, consume, fireEvent, getTarget, isConsumed`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### ACTION

public static final EventType<ActionEvent> ACTION
The only valid EventType for the ActionEvent.

### ANY

public static final EventType<ActionEvent> ANY
Common supertype for all action event types.

Since:
  JavaFX 8.0

## Constructor Details

### ActionEvent

public ActionEvent()
Creates a new `ActionEvent` with an event type of `ACTION`. The source and target of the event is set to `NULL_SOURCE_TARGET`.

### ActionEvent

public ActionEvent(Object source, EventTarget target)
Construct a new `ActionEvent` with the specified event source and target. If the source or target is set to `null`, it is replaced by the `NULL_SOURCE_TARGET` value. All ActionEvents have their type set to `ACTION`.

Parameters:
  `source` - the event source which sent the event
  `target` - the event target to associate with the event

## Method Details

### copyFor

public ActionEvent copyFor(Object newSource, EventTarget newTarget)
Description copied from class: `Event`
Creates and returns a copy of this event with the specified event source and target. If the source or target is set to `null`, it is replaced by the `NULL_SOURCE_TARGET` value.

Overrides:
  `copyFor` in class `Event`
Parameters:
  `newSource` - the new source of the copied event
  `newTarget` - the new target of the copied event
Returns:
  the event copy with the new source and target

### getEventType

public EventType<? extends ActionEvent> getEventType()
Description copied from class: `Event`
Gets the event type of this event. Objects of the same `Event` class can have different event types. These event types further specify what kind of event occurred.

Overrides:
  `getEventType` in class `Event`
Returns:
  the event type